=== modified file 'drizzled/join.cc'
--- drizzled/join.cc	2011-02-19 23:46:11 +0000
+++ drizzled/join.cc	2011-02-20 17:59:04 +0000
@@ -2414,7 +2414,7 @@
     for (i= 0, start_group= group_list ;i++ < pos ;start_group= start_group->next)
     {}
 
-    it= fields_arg;
+    it= fields_arg.begin();
     while ((item= it++))
     {
       if (item == first_field)

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2011-02-19 23:46:11 +0000
+++ drizzled/sql_base.cc	2011-02-20 17:59:04 +0000
@@ -3823,7 +3823,7 @@
     field= static_cast<Item_field *>(f++);
     table= field->field->getTable();
     table->auto_increment_field_not_null= false;
-    f= fields;
+    f= fields.begin();
   }
 
   while ((field= static_cast<Item_field *>(f++)))

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2011-02-19 23:46:11 +0000
+++ drizzled/sql_insert.cc	2011-02-20 17:59:04 +0000
@@ -338,7 +338,7 @@
       return true;
     }
   }
-  its= values_list;
+  its= values_list.begin();
 
   /* Restore the current context. */
   ctx_state.restore_state(context, table_list);

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2011-02-19 23:46:11 +0000
+++ drizzled/sql_list.h	2011-02-20 17:59:04 +0000
@@ -230,8 +230,6 @@
   inline bool is_empty() { return first == &end_of_list ; }
   inline list_node *last_ref() { return &end_of_list; }
   friend class base_list_iterator;
-  friend class error_list;
-  friend class error_list_iterator;
 
 #ifdef LIST_EXTRA_DEBUG
   /*
@@ -293,13 +291,13 @@
 protected:
   base_list *list;
   list_node **el,**prev,*current;
+public:
   void sublist(base_list &ls, uint32_t elm)
   {
     ls.first= *el;
     ls.last= list->last;
     ls.elements= elm;
   }
-public:
   base_list_iterator()
     :list(0), el(0), prev(0), current(0)
   {}
@@ -322,13 +320,6 @@
     el= &current->next;
     return current->info;
   }
-  inline void *next_fast(void)
-  {
-    list_node *tmp;
-    tmp= *el;
-    el= &tmp->next;
-    return tmp->info;
-  }
   inline void *replace(void *element)
   {						// Return old element
     void *tmp=current->info;
@@ -370,7 +361,6 @@
   {
     return el == &list->last_ref()->next;
   }
-  friend class error_list_iterator;
 };
 
 template <class T> class List_iterator;
@@ -414,7 +404,7 @@
 template <class T> class List_iterator :public base_list_iterator
 {
 public:
-  List_iterator(List<T> &a) : base_list_iterator(a) {}
+  explicit List_iterator(List<T> &a) : base_list_iterator(a) {}
   List_iterator() : base_list_iterator() {}
   inline T* operator++(int) { return (T*) base_list_iterator::next(); }
   inline T *replace(T *a)   { return (T*) base_list_iterator::replace(a); }
@@ -422,26 +412,6 @@
   inline T** ref(void)	    { return (T**) base_list_iterator::ref(); }
 };
 
-template <class T> class List_iterator_fast :public base_list_iterator
-{
-private:
-  inline T *replace(T *);
-  inline T *replace(List<T> &);
-  inline void remove(void);
-  inline void after(T *);
-  inline T** ref(void);
-
-public:
-  inline List_iterator_fast(List<T> &a) : base_list_iterator(a) {}
-  inline List_iterator_fast() : base_list_iterator() {}
-  inline void init(List<T> &a) { base_list_iterator::init(a); }
-  inline T* operator++(int) { return (T*) base_list_iterator::next_fast(); }
-  void sublist(List<T> &list_arg, uint32_t el_arg)
-  {
-    base_list_iterator::sublist(list_arg, el_arg);
-  }
-};
-
 /**
   Make a deep copy of each list element.
 

=== modified file 'drizzled/sql_load.cc'
--- drizzled/sql_load.cc	2011-02-19 23:46:11 +0000
+++ drizzled/sql_load.cc	2011-02-20 17:59:04 +0000
@@ -457,7 +457,7 @@
       skip_lines--;
       continue;
     }
-    it= fields_vars;
+    it= fields_vars.begin();
     unsigned char *pos=read_info.row_start;
 #ifdef HAVE_VALGRIND
     read_info.row_end[0]=0;
@@ -562,7 +562,7 @@
   enclosed_length=enclosed.length();
   id= 0;
 
-  for (;;it= fields_vars)
+  for (;;it= fields_vars.begin())
   {
     if (session->getKilled())
     {

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2011-02-19 23:46:11 +0000
+++ drizzled/sql_select.cc	2011-02-20 17:19:02 +0000
@@ -5800,7 +5800,7 @@
   CopyField *copy= NULL;
   res_selected_fields.clear();
   res_all_fields.clear();
-  List_iterator_fast<Item> itr(res_all_fields);
+  List<Item>::iterator itr(res_all_fields);
   List<Item> extra_funcs;
   uint32_t i, border= all_fields.elements - elements;
 
@@ -6010,7 +6010,7 @@
       item_field;
   }
 
-  List_iterator_fast<Item> itr(res_all_fields);
+  List<Item>::iterator itr(res_all_fields);
   for (i= 0; i < border; i++)
     itr++;
   itr.sublist(res_selected_fields, elements);
@@ -6053,7 +6053,7 @@
       new_item;
   }
 
-  List_iterator_fast<Item> itr(res_all_fields);
+  List<Item>::iterator itr(res_all_fields);
   for (i= 0; i < border; i++)
     itr++;
   itr.sublist(res_selected_fields, elements);

